Indexes - Get Statistics

문서 수 및 스토리지 사용량을 포함하여 지정된 인덱스에 대한 통계를 반환합니다.

GET {endpoint}/indexes('{indexName}')/search.stats?api-version=2023-11-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
endpoint
path True

string

검색 서비스의 엔드포인트 URL입니다.

indexName
path True

string

통계를 검색할 인덱스의 이름입니다.

api-version
query True

string

클라이언트 API 버전입니다.

요청 헤더

Name 필수 형식 Description
x-ms-client-request-id

string (uuid)

디버깅에 도움이 되도록 요청과 함께 전송된 추적 ID입니다.

응답

Name 형식 Description
200 OK

GetIndexStatisticsResult

Other Status Codes

SearchError

오류 응답입니다.

예제

SearchServiceGetIndexStatistics

샘플 요청

GET https://myservice.search.windows.net/indexes('hotels')/search.stats?api-version=2023-11-01

샘플 응답

{
  "documentCount": 239572,
  "storageSize": 72375920,
  "vectorIndexSize": 123456
}

정의

Name Description
GetIndexStatisticsResult

지정된 인덱스에 대한 통계입니다. 통계는 주기적으로 수집되며 항상 -date up-to보장되지 않습니다.

SearchError

API에 대한 오류 조건을 설명합니다.

GetIndexStatisticsResult

지정된 인덱스에 대한 통계입니다. 통계는 주기적으로 수집되며 항상 -date up-to보장되지 않습니다.

Name 형식 Description
documentCount

integer (int64)

인덱스의 문서 수입니다.

storageSize

integer (int64)

인덱스가 사용하는 스토리지 크기(바이트)입니다.

vectorIndexSize

integer (int64)

인덱스의 벡터에서 사용하는 메모리 양(바이트)입니다.

SearchError

API에 대한 오류 조건을 설명합니다.

Name 형식 Description
code

string

서버에서 정의한 오류 코드 집합 중 하나입니다.

details

SearchError[]

이 보고된 오류로 이어진 특정 오류에 대한 세부 정보 배열입니다.

message

string

사람이 읽을 수 있는 오류 표현입니다.